Subject: [bug#36033] Add Smalltalk Pharo VM

From: Brian Woodcox <[email-masked]>
Date: Fri, 31 May 2019 17:33:00 -0600

I notice that there were a couple of errors when this was posted.  The second one was out of my hands (caused by the mailing system).

> On May 31, 2019, at 1:46 PM, Brian Woodcox <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Hello,
> 
> I have added the Pharo Smalltalk VM package with this patch.
> 
> After installing this package, a user can launch an image by executing pharos-vm in the directory that contains the pharos-vm.

The above line should read as:

After installing this package, a user can launch an image by executing pharo in the directory that contains the pharo image.

> 
> To keep things consistent with the current Pharo release, I decided to use the [email-masked] and [email-masked].  If someone feels I should use the latest releases of these packages, I can submit a new patch.

The above line should read as:

To keep things consistent with the current Pharo release, I decided to use the sdl2 at 2.0.7 and libgit2 at 0.25.1.  If someone feels I should use the latest releases of these packages, I can submit a new patch.
> 
> Because of the way Pharo constructs the version and commit date for use internally in the Pharo VM, it is necessary to add this information to the package i.e. commit-info.
> 
> This is my first package, so go easy on me. :)
> 
> Cheers!
> 
> <0001-Add-pharo-vm-package.patch>

My apologies.

Brian.